接口参考裸金属
查询裸金属任务列表
GET /api/v1/baremetal/tasks,listBaremetalTasks 的请求参数和响应结构。
GET /api/v1/baremetal/tasks
| 项目 | 内容 |
|---|---|
| 操作标识 | listBaremetalTasks |
| 认证 | 登录会话 Cookie |
响应
| HTTP 状态 | 含义 |
|---|---|
| 200 | 成功 |
| 400 | 请求失败 |
| 401 | 请求失败 |
| 403 | 请求失败 |
| 404 | 请求失败 |
| 409 | 请求失败 |
| 503 | 请求失败 |
| default | 请求失败 |
200 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | MetalTask[] | 是 | — |
| request_id | string | 是 | — |
{
"$ref": "#/$defs/MetalTaskListResponse",
"$defs": {
"MetalTaskListResponse": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalTask"
}
},
"request_id": {
"type": "string"
}
},
"required": [
"data",
"request_id"
],
"additionalProperties": false
},
"MetalTask": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"node_id": {
"type": "string",
"format": "uuid"
},
"allocation_id": {
"type": "string"
},
"tenant_id": {
"type": "string"
},
"kind": {
"type": "string"
},
"state": {
"type": "string",
"enum": [
"queued",
"running",
"succeeded",
"failed"
]
},
"stage": {
"type": "string"
},
"progress": {
"type": "integer"
},
"message": {
"type": "string"
},
"events": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalEvent"
}
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"node_id",
"kind",
"state",
"stage",
"progress",
"message",
"events",
"created_at",
"updated_at"
],
"additionalProperties": false
},
"MetalEvent": {
"type": "object",
"properties": {
"at": {
"type": "string",
"format": "date-time"
},
"message": {
"type": "string"
},
"progress": {
"type": "integer"
},
"state": {
"type": "string"
}
},
"required": [
"at",
"message",
"progress",
"state"
],
"additionalProperties": false
}
}
}400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
